System.Core 4.0.0.0 System.Object System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> System.Collections.Generic.IList<T> System.Collections.IList To be added. To be added.

The builder for read only collection.

- Constructor
  4.0.0.0
  To be added.

  Constructs a ReadOnlyCollectionBuilder.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.

  Constructs a ReadOnlyCollectionBuilder with a given initial capacity. The contents are empty but builder will have reserved room for the given number of elements before any reallocations are required.

  Initial capacity.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets and sets the capacity of this ReadOnlyCollectionBuilder.

- Method
  4.0.0.0
  System.Void To be added.

  Removes all items from the .

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Returns number of elements in the ReadOnlyCollectionBuilder.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added.

  Returns an enumerator that iterates through the collection.

  A that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the item at the specified index.

  The zero-based index of the item to remove.
- Method
  4.0.0.0
  System.Void To be added.

  Reverses the order of the elements in the entire .

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Reverses the order of the elements in the specified range.

  The zero-based starting index of the range to reverse. The number of elements in the range to reverse.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the to an array, starting at the specified array index.

  The one-dimensional array that is the destination of the elements copied from . The array must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the is synchronized (thread safe).

- Property
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the .

- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the collection.

  An that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Int32 `` To be added.

  Adds an item to the .

  The position into which the new element was inserted.

  The to add to the .
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the contains a specific value.

  true if is found in the ; otherwise, false.

  The to locate in the .
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specific item in the .

  The index of if found in the list; otherwise, –1.

  The object to locate in the .
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an item to the at the specified index.

  The zero-based index at which should be inserted. The object to insert into the .
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the has a fixed size.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the is read-only.

- Property
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specific object from the .

  The object to remove from the .
- Method
  4.0.0.0
  T[] To be added.

  Copies the elements of the to a new array.

  An array containing copies of the elements of the .

- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<T> To be added.

  Creates a containing all of the elements of the , avoiding copying the elements to the new array if possible. Resets the after the has been created.

  A new instance of .